Subject: bug#54537: Re: bug#54537: 29.0.50; Last sexp notion is different for eval-last-sexp and pp-eval-last-sexp

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Mar 2022 01:42:54 +0100

Drew Adams <[email-masked]> writes:

> > Sure, but the current (inconsistent) behaviour is surprising.
>
> Is it?  The `pp-*' commands have different uses.
>
> FWIW, I even add separate variables for PP, for
> controlling print level and length.  Force-using
> the same values for the `pp-*' commands doesn't
> make sense to me.
>
> Similarly, I'm not shocked by the difference this
> bug report wants to get rid of.  I don't necessarily
> object to the change.  I'm just not convinced that
> such consistency is important.

Could as well be that it's just only different because nobody cared
enough about pp all the time.  I would not be shocked if the different
behavior is only an accident.

Michael.